Global Fishing Watch API
API v34Wings - Map Visualization

Statistics

Worldwide apparent fishing effort statistics: flags, vessel ids and activity hours for a time period.

Statistics on fishing activity worldwide

Get apparent fishing effort statistics worldwide.

This endpoint is not available for SAR vessel detections or AIS vessel presence for now.

Stats

GET
/v3/4wings/stats

Authorization

ApiKeyAuth
AuthorizationBearer <token>

In: header

Query Parameters

fields?string

Statitics fields (separated by comma)

Value in

  • "VESSEL-IDS"
  • "FLAGS"
  • "ACTIVITYHOURS"
vessel-groups[0]?string

Vessel group ids to filter (separated by comma). Vessel groups applied at dataset with index 0. At the same as datasets, this query param could be send with different index to apply filters to other datasets.

datasets[0]*string

Specify the datasets that will be used to create the style. You can learn more about which are the possible datasets here. The parameters should be defined using an index, in case only one dataset is going to be sent: ?dataset[0]=xxxxx, in case of multiple datasets: ?dataset[0]=xxxxx&dataset[1]=yyyyy

filters[0]?string

Filters are applied to the dataset parameter with the corresponding index. For example if we want to apply a filter to dataset[0], we should apply the filter attributes to filter[0].For AIS fishing effort, the possible filters are: flag, geartype

date-range?string

Start date and end date to filter the data

curl -X GET "https://example.com/v3/4wings/stats?fields=VESSEL-IDS&vessel-groups%5B0%5D=1%2C2&datasets%5B0%5D=public-global-fishing-effort%3Alatest&filters%5B0%5D=flag+in+%28%27ESP%27%29&date-range=2021-01-01%2C2021-03-01"
[  {    "activityHours": 0,    "flags": 0,    "maxLat": 0,    "maxLon": 0,    "minLat": 0,    "minLon": 0,    "vesselIds": 0  }]

Example responses

200 Response

[
  {
    "activityHours": 0,
    "flags": 0,
    "maxLat": 0,
    "maxLon": 0,
    "minLat": 0,
    "minLon": 0,
    "vesselIds": 0
  }
]

Stats - Responses

StatusMeaningDescriptionSchema
200OK.Stats responseCheck 4Wings Stats response below
401Unauthorized.No Unauthorized.Error Codes
403ForbiddenYou do not have permissions to do the action.Error Codes
422Unprocessable EntityUnprocessable Entity. Validation error.Error Codes
429Too Many RequestsToo Many Requests. In order to avoid this error, you can use the Get last report generated to get the status of the report before sending a new one.Error Codes
503Service UnavailableService Unavailable. Please contact us at apis@globalfishingwatch if you get any 5xxError Codes

Examples

  • EXAMPLE 1 - Get worldwide stats for a time period with no filter
  • EXAMPLE 2 - Get worldwide stats for a time period with gear type filter

4Wings Stats response

NameTypeRequiredRestrictionsDescription
activityHoursnumberfalsenoneTotal activity hours (if field is requested). For AIS, total fishing effort in hours.
flagsnumberfalsenoneTotal different flags (if field is requested).
maxLatnumberfalsenoneMaximum latitude with data (Only returned if vessel-group filter is applied)
maxLonnumberfalsenoneMaximun longitude with data (Only returned if vessel-group filter is applied)
minLatnumberfalsenoneMinimum latitude with data (Only returned if vessel-group filter is applied)
minLonnumberfalsenoneMinimum longitude with data (Only returned if vessel-group filter is applied)
vesselIdsnumberfalsenoneTotal different vessel ids (if field is requested). Please refer to Key Concept section to understand what a "vessel id" means.

On this page